package com.zcloud.personnel.positioning.api;

import com.zcloud.personnel.positioning.dto.SyncTaskAddCmd;
import com.zcloud.personnel.positioning.dto.SyncTaskPageQry;
import com.zcloud.personnel.positioning.dto.SyncTaskUpdateCmd;
import com.zcloud.personnel.positioning.dto.clientobject.SyncTaskCO;
import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

import java.util.List;

/**
 * web-client
 *
 * @Author fangjiakai
 * @Date 2026-07-07
 */
public interface SyncTaskServiceI {
    PageResponse<SyncTaskCO> listPage(SyncTaskPageQry qry);

    List<SyncTaskCO> listAll();

    SyncTaskCO queryById(Long id);

    SingleResponse<SyncTaskCO> add(SyncTaskAddCmd cmd);

    void edit(SyncTaskUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}
